unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, RGBCurvesdiagrammer;

type
  TForm1 = class(TForm)
    Image1: TImage;
    RGBCurves1: TRGBCurves;
    ComboBox1: TComboBox;
    Label1: TLabel;
    BitBtn2: TBitBtn;
    BitBtn1: TBitBtn;
    procedure ComboBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }

    mems:Tmemorystream;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ComboBox1Click(Sender: TObject);
begin
case combobox1.itemindex of
-1,0:
rgbcurves1.RGBMode:=cmall;
1:
rgbcurves1.RGBMode:=cmred;
2:
rgbcurves1.RGBMode:=cmgreen;
3:
rgbcurves1.RGBMode:=cmblue;
end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
mems:=Tmemorystream.create;
mems.seek(0,0);
image1.picture.bitmap.pixelformat:=pf24bit;
image1.picture.bitmap.savetostream(mems);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
mems.free;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
mems.seek(0,0);
image1.picture.bitmap.LoadFromStream(mems);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
rgbcurves1.ApplyCurvestoBitmap(image1.picture.bitmap);
image1.refresh;
end;

end.
